=== debian/changelog ===
ceilometer (1:7.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:00:53 -0400

ceilometer (1:7.0.2-0ubuntu1) yakkety; urgency=medium

  * New usptream stable release for OpenStack Newton. (LP: #1664306)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 13:59:59 -0500

ceilometer (1:7.0.0-0ubuntu2) yakkety; urgency=medium

  * d/ceilometer-common.postinst: Call ceilometer-upgrade with
    --skip-gnocchi-resource-types as this is only called in the event
    that a local sqlite db is in use, which it won't be if gnocchi is
    being used, resolving issues with installation and upgrade
    (LP: #1631868)

 -- James Page <james.page@ubuntu.com>  Mon, 10 Oct 2016 09:32:15 +0100

ceilometer (1:7.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Oct 2016 08:52:03 +0100

ceilometer (1:7.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/ceilometer-api.service.in: Set listen port to 8777 to ensure that the
    wsgi_script generated binary actually listens on the correct port,
    configurable using a systemd override if need be.
    (LP: #1629796).
  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Oct 2016 12:48:38 +0100

ceilometer (1:7.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
    - d/p/bug1624873.patch: Drop, included in new RC.
  * Fix issues due to switch to wsgi_script for ceilometer-api (LP: #1626006):
    - d/control: Set minimum version of python-pbr to 1.10.0 to ensure
      that useful wsgi_scripts are generated for ceilometer-api.
    - d/ceilometer-api.{service,init}.in: Switch to direct use of systemd
      unit file instead of relying on openstack-pkg-tools for generation of
      templated versions to ensure that configuration options are passed
      correctly to wsgi_script generated ceilometer-api.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Sep 2016 10:46:22 +0100

ceilometer (1:7.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  * d/control: Move oslo.db from Suggests -> Depends, inline with
    changes for rc2 upstream.
  * d/p/bug1624873.patch: Cherry pick fix for switch of ceilometer-api
    to a wsgi script, rather than a standard console script (LP: #1624873).

 -- James Page <james.page@ubuntu.com>  Tue, 20 Sep 2016 11:49:37 +0100

ceilometer (1:7.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * Align (Build-)Depends with upstream.
  * Add backend driver dependencies as Suggests for python-ceilometer.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 12:04:25 +0100

ceilometer (1:7.0.0~b4~dev9-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/ceilometer-common.install, d/ceilometer-common.postinst:
    ceilometer-dbsync is deprecated in favor of ceilometer-upgrade.

  [ James Page ]
  * d/tests/control,test-daemons: Drop test, superceeded by test-services
    and fails with use of process naming in ceilometer.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Sep 2016 12:02:57 +0100

ceilometer (1:7.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream version.
  * d/control: Fixing spelling mistake.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-cotyledon to (Build-)Depends.
  * New upstream version.
  * d/ceilometer-common.install: Install new/existing config and sample files
    from usr/etc.
  * d/rules: Exclude install of ceilometer-config-generator.conf.
  * d/ceilometer-common.postinst: Ensure proper permissions for
    /etc/ceilometer/rootwrap*.

  [ Dimitri John Ledkov ]
  * Check ipmi agent is running only on i386 & amd64.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 11:51:21 +0100

ceilometer (1:7.0.0~b2-0ubuntu3) yakkety; urgency=medium

  [ Dimitri John Ledkov ]
  * Add python-libvirt and libvirt-daemon-system to Depends in
    debian/control/tests to make sure ceilometer-agent-compute is
    running. Possibly makes sense to add python-libvirt as the Depends: on
    the appropriate package, and only libvirt-daemon in the
    debian/tests/contol.
  * Iterate through all services, before exiting 1 in
    debian/tests/test-services, to see all failing services at once.
  * Skip testing for the ipmi agent service on s390x, not useful.
  * Mark debian/tests/test-* files executable.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Aug 2016 15:03:52 -0400

ceilometer (1:7.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/tests/control: Add rabbitmq-server to test dependencies to avoid
    daemon test failures.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jul 2016 10:24:22 +0100

ceilometer (1:7.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * d/p/skip-gnocchiclient-tests.patch,d/control: Re-enable testing with
    gnocchi as python-gnocchiclient is a BD only.
  * d/p/skip-gabbi.patch,d/control: Re-enable testing that relies on gabbi
    as its a BD only.
  * d/p/disable-kafka.patch,d/control: Disable runtime dependency on kafka
    only, enable execution of tests during build.
  * d/p/*: Refresh remaining patches.

  [ Corey Bryant ]
  * New upstream version.
  * d/ceilometer-common.install: Install ceilometer-db-legacy-clean tool.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 15:50:14 -0400
