## ceilometer 7.1.1

=== requirements.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 kafka-python<1.0.0,>=0.9.5 # Apache-2.0
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
+monotonic
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0
