=== debian/changelog ===
ceilometer (1:7.1.1-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * d/p/*: Rebased.
  * New upstream point release for OpenStack Newton (LP: #1718033).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/disable-kafka.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Sep 2017 14:37:15 -0400

ceilometer (1:7.0.5-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:15:54 +0100
