=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
                      python-lxml,
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
+                     python-monotonic,
                      python-msgpack (>= 0.4.0),
                      python-neutronclient (>= 4.2.0),
                      python-novaclient (>= 2:2.29.0),
@@ -99,6 +100,7 @@
          python-keystonemiddleware (>= 4.0.0),
          python-lxml,
          python-migrate (>= 0.9.6),
+         python-monotonic,
          python-msgpack (>= 0.4.0),
          python-neutronclient (>= 4.2.0),
          python-novaclient (>= 2:2.29.0),
@@ -283,4 +285,3 @@
  acquire all counters they need to establish customer billing, across all
  current and future OpenStack components. The delivery of counters must
  be traceable and auditable, the counters must be easily extensible to support
- new projects, and agents doing data collections should be
