## ceilometer 8.0.1

=== requirements.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-cotyledon
+cachetools>=1.1.0 # MIT License
+cotyledon>=1.3.0 #Apache-2.0
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=0.11.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-retrying!=1.3.0,>=1.2.3 # Apache-2.0
+tenacity>=3.1.0 # Apache-2.0
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
-kafka-python<1.0.0,>=0.9.5 # Apache-2.0
+kafka-python>=1.3.1 # Apache-2.0
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
-monotonic
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0
@@ -34,8 +34,9 @@
 python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
 keystoneauth1>=2.1.0 # Apache-2.0
 python-neutronclient>=4.2.0 # Apache-2.0
-python-novaclient!=2.33.0,>=2.29.0,<7.0.0 # Apache-2.0
+python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
+python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
 PyYAML>=3.1.0 # MIT
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
@@ -43,7 +44,7 @@
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 stevedore>=1.9.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
-WebOb>=1.2.3,<1.7.0 # MIT
+WebOb>=1.5.0 # MIT
 WSME>=0.8 # MIT
 # NOTE(jd) We do not import it directly, but WSME datetime string parsing
 # behaviour changes when this library is installed
