=== debian/changelog ===
ceilometer (1:8.0.1-0ubuntu2) zesty; urgency=medium

  * d/ceilometer-commmon.postinst: Set permissions to 0640 for
    /etc/ceilometer/ceilometer.conf (LP: #1588391).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Mar 2017 10:19:40 -0400

ceilometer (1:8.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Mar 2017 13:34:03 +0000

ceilometer (1:8.0.0-0ubuntu5) zesty; urgency=medium

  * debian/control: Really fix adjustements. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2017 10:06:55 -0500

ceilometer (1:8.0.0-0ubuntu4) zesty; urgency=medium

  * debian/control: More adjustments. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2017 08:02:49 -0500

ceilometer (1:8.0.0-0ubuntu3) zesty; urgency=medium

  * debian/control: Adjust dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 21:04:28 -0500

ceilometer (1:8.0.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix bad dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 10:39:41 -0500

ceilometer (1:8.0.0-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/p/skip-tests.patch: Dropped no longer needed. 

  [ Corey Bryant ]
  * d/control: Add python-gabbi to run-time Depends since it is used by
    tempest plugin.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/ceilometer-commmon.postinst: Adjust permissions on /etc/ceilometer.
    (LP: #1588391)
  * d/ceilometer-common.install: Add polling.yaml.


 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 10:26:34 -0500

ceilometer (1:8.0.0~git20170104.aa3f491bb-0ubuntu2) zesty; urgency=medium

  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2017 12:43:24 -0500

ceilometer (1:8.0.0~git20170104.aa3f491bb-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata:
    - Updates package version to align with ocata (8.0.0).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2017 12:07:37 -0500

ceilometer (1:7.0.0+git20170104.aa3f491bb-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/ceilometer-common.install: ceilometer-db-sync is 
    now ceilometer-upgrade. 
  * debian/control: Add python-cinderclient.
  * debian/control: Add python-tenacity.
  * debian/control: Add python-libvirt. (LP: #1645435)
  * debian/patches/disable-kafka.patch: Refreshed.

  [ Corey Bryant ]
  * d/ceilometer-common.install: Drop install of gnocchi_resources.yaml to
    etc/ceilometer as it has been moved out of upstream etc/ceilometer path.
  * New upstream version.
  * d/p/disable-kafka.patch: Rebased.
  * d/ceilometer-common.install: Drop install of ceilometer tool show_data.py.
    It's been removed upstream.
  * d/p/*: Rebased.
  * d/ceilometer-api.install, d/control, d/rules,
    d/ceilometer-api.{apache2,conf,service.in}: Run ceilometer-api under
    apache2 with mod_wsgi.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/tests/test-services: Test apache2 service is running instead of
    ceilometer-api.
  * New upstream version.
  * d/p/disable-kafka.patch: Rebased.
  * d/ceilometer-api.conf: Drop Apache2 header, as it's covered by d/copyright.
  * New upstream release snapshot for OpenStack Ocata.
  * d/rules: Update VERSION mangling to drop '+'.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 13:40:59 -0500
