=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: apache2-dev,
+               debhelper (>= 9),
+               dh-apache2,
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 23~),
@@ -11,86 +13,90 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-awsauth,
+                     python-cachetools (>= 1.1.0),
+                     python-cinderclient (>= 1.6.0),
+                     python-contextlib2 (>= 0.4.0),
+                     python-cotyledon (>= 1.3.0),
+                     python-coverage (>= 3.6),
+                     python-croniter,
+                     python-debtcollector (>= 1.2.0),
+                     python-fixtures (>= 1.3.1),
                      python-concurrent.futures (>= 3.0),
-                     python-contextlib2,
-                     python-cotyledon,
-                     python-coverage,
-                     python-croniter,
-                     python-dateutil (>= 2.4.2),
-                     python-debtcollector (>= 1.2.0),
-                     python-eventlet (>= 0.17.4),
-                     python-fixtures (>= 1.3.1),
                      python-futurist (>= 0.11.0),
                      python-gabbi (>= 1.11.0),
                      python-glanceclient (>= 1:2.0.0),
-                     python-gnocchiclient (>= 2.2.0),
+                     python-gnocchiclient (>= 2.7.0),
                      python-happybase (>= 0.5),
                      python-jsonpath-rw-ext (>= 0.1.9),
-                     python-jsonschema,
-                     python-kafka (>= 0.9.5),
+                     python-jsonschema (>= 2.0.0),
+                     python-kafka (>= 1.3.1),
                      python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-lxml,
+                     python-lxml (>= 2.3),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
-                     python-monotonic,
                      python-msgpack (>= 0.4.0),
-                     python-neutronclient (>= 4.2.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-os-testr,
+                     python-openssl (>= 0.14),
+                     python-openstackdocstheme (>= 1.0.3),
+                     python-os-api-ref (>= 0.1.0),
+                     python-os-testr (>= 0.4.1),
                      python-os-win (>= 0.2.3),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.5.0),
                      python-oslo.config (>= 1:3.9.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.16.0),
+                     python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslo.vmware (>= 1.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-pastedeploy,
+                     python-psycopg2 (>= 2.5),
+                     python-pymongo,
+                     python-pymysql,
+                     python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
-                     python-psycopg2 (>= 2.5),
-                     python-pymongo (>= 3.0.2),
-                     python-pymysql (>= 0.6.2),
-                     python-pysnmp4,
+                     python-pysnmp4 (>= 4.2.3),
+                     python-dateutil (>= 2.4.2),
                      python-requests (>= 2.8.1),
-                     python-retrying (>= 1.2.3),
                      python-six (>= 1.9.0),
+                     python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.9.0),
                      python-swiftclient (>= 1:2.2.0),
-                     python-tempest (>= 1:12.1.0),
-                     python-testscenarios,
+                     python-tempest (>= 1:11.0.0),
+                     python-tenacity (>= 3.1.0),
+                     python-testrepository (>= 0.0.18),
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
-                     python-webob,
-                     python-webtest,
+                     python-webob (>= 1.5.0),
+                     python-webtest (>= 2.0),
                      python-wsme (>= 0.8),
-                     python-yaml,
+                     python-yaml (>= 3.1.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
 
 Package: python-ceilometer
 Architecture: all
-Depends: python-concurrent.futures (>= 3.0),
+Depends: python-cachetools (>= 1.1.0),
+         python-cinderclient (>= 1.6.0),
          python-cotyledon,
          python-croniter,
-         python-dateutil (>= 2.4.2),
          python-debtcollector (>= 1.2.0),
-         python-eventlet (>= 0.17.4),
+         python-concurrent.futures (>= 3.0),
          python-futurist (>= 0.11.0),
          python-glanceclient (>= 1:2.0.0),
          python-jsonpath-rw-ext (>= 0.1.9),
@@ -98,9 +104,9 @@
          python-keystoneauth1 (>= 2.1.0),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 4.0.0),
+         python-libvirt,
          python-lxml,
          python-migrate (>= 0.9.6),
-         python-monotonic,
          python-msgpack (>= 0.4.0),
          python-neutronclient (>= 4.2.0),
          python-novaclient (>= 2:2.29.0),
@@ -115,28 +121,28 @@
          python-oslo.reports (>= 0.6.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
          python-oslo.utils (>= 3.5.0),
          python-pastedeploy,
          python-pecan (>= 1.0.0),
-         python-pysnmp4,
+         python-pysnmp4 (>= 4.2.3),
+         python-dateutil (>= 2.4.2),
          python-requests (>= 2.8.1),
-         python-retrying (>= 1.2.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.9.0),
          python-swiftclient (>= 1:2.2.0),
+         python-tenacity (>= 3.1.0),
          python-tooz (>= 1.28.0),
          python-webob,
          python-wsme (>= 0.8),
          python-yaml,
          ${misc:Depends},
-         ${python:Depends},
-Suggests: python-gnocchiclient (>= 2.1.0),
-          python-kafka (>= 0.9.5),
-          python-psycopg2 (>= 2.5),
-          python-pymongo (>= 3.0.2),
-          python-pymysql (>= 0.6.2),
+         ${python:Depends}
+Suggests: python-gnocchiclient,
+          python-kafka,
+          python-psycopg2,
+          python-pymongo,
+          python-pymysql,
 Description: ceilometer python libraries
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -155,7 +161,7 @@
 Depends: adduser,
          python-ceilometer (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: ${python:Provides},
 Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
 Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
@@ -175,7 +181,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: ceilometer collector service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -193,7 +199,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: ceilometer polling service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -209,9 +215,11 @@
 
 Package: ceilometer-api
 Architecture: all
-Depends: ceilometer-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends},
+Depends: apache2 | httpd,
+         ceilometer-common (= ${binary:Version}),
+         libapache2-mod-wsgi,
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: ceilometer api service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -227,7 +235,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: ceilometer compute agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -244,7 +252,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: ceilometer central agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -262,7 +270,7 @@
 Depends: ceilometer-common (= ${binary:Version}),
          ipmitool,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: ceilometer ipmi agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -278,10 +286,3 @@
 Package: ceilometer-agent-notification
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends},
-Description: ceilometer notification agent
- Ceilometer aims to deliver a unique point of contact for billing systems to
- acquire all counters they need to establish customer billing, across all
- current and future OpenStack components. The delivery of counters must
- be traceable and auditable, the counters must be easily extensible to support
